Bug 800553 - (CVE-2012-1107) CVE-2012-1107 taglib: ape file with sampleRate 0 causes crash
CVE-2012-1107 taglib: ape file with sampleRate 0 causes crash
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120304,repor...
: Security
Depends On: 800564
Blocks: 800562
  Show dependency treegraph
 
Reported: 2012-03-06 12:43 EST by Vincent Danen
Modified: 2012-05-02 10:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 10:26:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-03-06 12:43:01 EST
It was reported [1] that a specially crafted ape media file with the sampleRate set to "0" could lead to an application crash due to a division by zero error.  This has been fixed in upstream git [2].

The relevant code is not present in taglib 1.6.1 or earlier, so this flaw only affects taglib as shipped with Fedora.

[1] http://mail.kde.org/pipermail/taglib-devel/2012-March/002186.html
[2] https://github.com/taglib/taglib/commit/77d61c6eca4d08b9b025738acf6b926cc750db23


Statement:

Not vulnerable. This issue did not affect the versions of taglib as shipped with Red Hat Enterprise Linux 6.
Comment 1 Vincent Danen 2012-03-06 12:59:50 EST
Created taglib tracking bugs for this issue

Affects: fedora-all [bug 800564]
Comment 2 Fedora Update System 2012-04-06 17:29:15 EDT
taglib-1.7.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2012-04-06 17:29:46 EDT
taglib-1.7.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-04-11 23:24:06 EDT
taglib-1.7.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.